Bug 518875 - Unrecoverable FP Unavailable Exception 800 at c000000000a26778
Summary: Unrecoverable FP Unavailable Exception 800 at c000000000a26778
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 12
Hardware: ppc64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-23 18:08 UTC by John Reiser
Modified: 2010-12-05 06:34 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-05 06:34:19 UTC


Attachments (Terms of Use)
/tmp/syslog (33.97 KB, text/plain)
2009-08-23 18:08 UTC, John Reiser
no flags Details
lspci; lspci -n; lspci -v (5.98 KB, text/plain)
2009-08-23 18:22 UTC, John Reiser
no flags Details

Description John Reiser 2009-08-23 18:08:40 UTC
Created attachment 358368 [details]
/tmp/syslog

Description of problem: On 64-bit PowerPC (Apple iMac G5), booting today's rawhide boot.iso gets an exception and Oops.


Version-Release number of selected component (if applicable):
2.6.31-0.167.rc6.git6.fc12.ppc64

How reproducible: every time


Steps to Reproduce:
1. download ppc boot.iso and burn to CD-RW
2. boot on Apple iMac G5 (64-bit PowerPC)
3.
  
Actual results:  An early console message acknowledges the 64-bit environment, but during boot the screen shows:
<0>Unrecoverable FP Unavailable Exception 800 at c000000000a26778
<4>Oops: Unrecoverable FP Unavailable Exception, sig: 6 [#1]

Expected results: no problems

Additional info: The same boot.iso CD-RW boots fine on Apple G4 Mini (32-bit PowerPC.)

Comment 1 John Reiser 2009-08-23 18:22:59 UTC
Created attachment 358371 [details]
lspci; lspci -n; lspci -v

Comment 2 John Reiser 2009-08-23 18:33:06 UTC
/proc/cpuinfo:
processor	: 0
cpu		: PPC970FX, altivec supported
clock		: 2000.000000MHz
revision	: 3.0 (pvr 003c 0300)

timebase	: 33333333
platform	: PowerMac
model		: PowerMac8,2
machine		: PowerMac8,2
motherboard	: PowerMac8,2 MacRISC4 Power Macintosh 
detected as	: 414 (Unknown Shasta-based)
pmac flags	: 00000000
L2 cache	: 512K unified
pmac-generation	: NewWorld

Comment 3 John Reiser 2009-08-23 18:36:27 UTC
If you just wait long enough, then things continue, even though the exception and Oops were supposedly Unrecoverable.  Observed wait times (three different boots): 2 minutes; 3 minutes, 5 seconds.

Comment 4 Bug Zapper 2009-11-16 11:37:06 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Bug Zapper 2010-11-04 10:25:02 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Bug Zapper 2010-12-05 06:34:19 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.